<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 4) {
    $pagetitle = "4oυ Γραφείου!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
}
?>

<!--  MENU  -->

<div id="templatemo_menu_wrapper">

        <?php
    if (isset($_GET['s'])) {
        echo'
    <div id="templatemo_menu">
        <ul>
            <li><a href="4oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
 <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
            <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
          <ul>
            <li><a href="3oGrafeio.php" class="current"><span></span>Αρχική</a></li>
            <li><a><span></span>Ενημέρωση Στελεχών</a>
</a>
             <ul><li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
             </ul>            
</li>
            <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>
            <li><a href="oximata.php" target="_parent"><span></span>Οχήματα</a>                     
</li>
             <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    }
    ?>
    </div> <!-- end of templatemo_menu -->

    <div id="templatemo_main"> <span class="tm_bottom"></span>


        <!-- CONTENT -->
        <?php
          require_once ('../../mysqli_connect.php');
          echo '<p aign="center"><h2>Προσθέστε ένα όχημα!</h2></p>';
    if (isset($_POST['submitted'])) {
$errors=array();
        if (empty($_POST['pin'])) {
            $errors[] = "Ξέχασες εισάγεις τον αριθμό πινακίδας του οχήματος!";
        } else {
            $pin = mysqli_real_escape_string($dbc, trim($_POST['pin']));
        }

        if (empty($_POST['eidos'])) {
            $errors[] = "Ξέχασες εισάγεις το είδος του οχήματος!";
        } else {
            $eidos = mysqli_real_escape_string($dbc, trim($_POST['eidos']));
        }
        if (empty($_POST['lox'])) {
            $errors[] = "Ξέχασες εισάγεις σε ποιο λόχο ανήκει το όχημα!";
        } else {
            $lox = mysqli_real_escape_string($dbc, trim($_POST['lox']));
        }
        if (empty($_POST['onod'])or $_POST['onod']=='Επιλέξτε Ον/μο Οδηγού') {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του οδηγού του οχήματος!";
        } else {
            $onod = mysqli_real_escape_string($dbc, trim($_POST['onod']));
        }
       
       
        if (empty($errors)){
        require_once ('../../mysqli_connect.php');
        $q3 = "insert into oxhmata values ('$pin','$eidos','$lox','$onod')";
        $r3 = mysqli_query($dbc, $q3);

        if ($r3) {
            echo'To όχημα προστέθηκε επιτυχώς!
                    <p><a href="oximatapr.php">Προσθέστε επιπλέον όχημα</a></p>
                    <p><a href="oximata.php">Επιστροφή στον κατάλογο οχημάτων της Μονάδας</a></p>';
        } else {
            echo '<h1>Πρόβλημα Συστήματος<h1>
<p class="error"> Δεν μπορείτε να προσθέσετε όχημα λόγω κάποιου τεχνικού προβλήματος.</p>';
            echo '<p>' . mysqli_error($dbc) . '<br/><br/>Query:' . $q . '</p>';
            mysqli_close($dbc);
        }exit();
        }else{
            echo '<h1>Error!</h1>
            <p class="error"> The following error(s) occured:<br/>';
                foreach ($errors as $msg) {
                    echo "-$msg <br/>\n";
                }echo '</p><p>Παρακαλώ προσπαθήστε ξανά!</p><p><br/></p>';
        }
    }
     echo '<form action="oximatapr.php" method="post">
                <p>Αριθμός Πινακίδας:<input type="text" name="pin" size="10" maxlength="10"/></p>
                <p> Είδος Οχήματος:<input type="text" name="eidos" size="15" maxlength="30" /></p>
                <p>Λόχος:<input type="text" name="lox" size="5" maxlength="5" /></p>
                <p> Ονοματεπώνυμο Οδηγού:<select name="onod">';
                    echo ' <option>Επιλέξτε Ον/μο Οδηγού</option>';
  require_once ('../../mysqli_connect.php');
                         $g = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b = mysqli_query($dbc, $g);
                 while ($row8 = mysqli_fetch_array($b, MYSQLI_BOTH)) {
                             echo"<option>" . $row8[0] . "</option>";
                             }
                             echo'</select>';
        echo'
                <p><input type="submit" name="submit" value"Υποβολή" /></p>
                <input type ="hidden" name="submitted" value="true"/>
              </form>';
        ?>  


        <!-- SIDEBAR -->



        <div class="cleaner"></div>
    </div> 




    <?php
    include('../../divs/footer.php');
    ?>